MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM:

## Public Member Functions
void | SetBytes (int index, byte[] inputBytes)
| Sets board EEPROM bytes starting at index provided as parameter.
byte[] | GetBytes (int index, int length)
| Returns board EEPROM bytes starting at index provided as parameter.
void | LockWriting ()
| Locks board EEPROM writing.
void | UnlockWriting ()
| Unlocks board EEPROM writing.
int | GetDeviceDetectChannelMask ()
| Enable autodetection on channel (bitwise) - two channels only.
void | SetDeviceDetectChannelMask (int detectMask)
| Enable autodetection on channel (bitwise) - two channels only Input Range 0 - 3.

## Member Function Documentation

## ◆ GetBytes()

byte[] MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.GetBytes | ( | int | index,
|  | int | length )

Returns board EEPROM bytes starting at index provided as parameter.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetDeviceDetectChannelMask()

int MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.GetDeviceDetectChannelMask | ( |  | ) |

Enable autodetection on channel (bitwise) - two channels only.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ LockWriting()

void MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.LockWriting | ( |  | ) |

Locks board EEPROM writing.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetBytes()

void MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.SetBytes | ( | int | index,
|  | byte[] | inputBytes )

Sets board EEPROM bytes starting at index provided as parameter.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetDeviceDetectChannelMask()

void MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.SetDeviceDetectChannelMask | ( | int | detectMask | ) |

Enable autodetection on channel (bitwise) - two channels only Input Range 0 - 3.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ UnlockWriting()

void MrEModuleSdk.Devices.SdkInterfaces.IBoardEEPROM.UnlockWriting | ( |  | ) |

Unlocks board EEPROM writing.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/IBoardEEPROM.cs